/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright (C) 2001-2013 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../gdb-11.2/gdbserver/../gdb/regformats/mips64-dsp-linux.dat''.  */

#include "server.h"
#include "regdef.h"
#include "tdesc.h"

const struct target_desc *tdesc_mips64_dsp_linux;

void init_registers_mips64_dsp_linux (void);
void
init_registers_mips64_dsp_linux (void)
{
  static struct target_desc tdesc_mips64_dsp_linux_s;
  struct target_desc *result = &tdesc_mips64_dsp_linux_s;
  struct tdesc_feature *feature = tdesc_create_feature (result, "mips64_dsp_linux");
  tdesc_create_reg (feature, "r0",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r1",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r2",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r3",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r4",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r5",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r6",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r7",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r8",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r9",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r10",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r11",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r12",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r13",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r14",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r15",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r16",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r17",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r18",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r19",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r20",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r21",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r22",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r23",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r24",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r25",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r26",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r27",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r28",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r29",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r30",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "r31",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "status",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "lo",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "hi",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "badvaddr",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "cause",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "pc",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f0",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f1",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f2",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f3",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f4",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f5",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f6",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f7",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f8",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f9",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f10",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f11",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f12",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f13",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f14",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f15",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f16",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f17",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f18",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f19",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f20",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f21",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f22",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f23",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f24",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f25",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f26",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f27",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f28",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f29",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f30",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "f31",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "fcsr",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "fir",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "hi1",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "lo1",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "hi2",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "lo2",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "hi3",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "lo3",
  0, 0, NULL, 64, NULL);
  tdesc_create_reg (feature, "dspctl",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "restart",
  0, 0, NULL, 64, NULL);

static const char *expedite_regs_mips64_dsp_linux[] = { "r29", "pc", 0 };
#ifndef IN_PROCESS_AGENT
static const char *xmltarget_mips64_dsp_linux = "mips64-dsp-linux.xml";

  result->xmltarget = xmltarget_mips64_dsp_linux;
#endif

  init_target_desc (result, expedite_regs_mips64_dsp_linux);

  tdesc_mips64_dsp_linux = result;
}
